Bug 978081 - [PATCH] Add no-auto-default subpackage
Summary: [PATCH] Add no-auto-default subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-26 00:05 UTC by Colin Walters
Modified: 2013-07-29 13:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-26 20:33:27 UTC


Attachments (Terms of Use)
Add no-auto-default subpackage (3.44 KB, application/mbox)
2013-06-26 00:05 UTC, Colin Walters
no flags Details
new patch (2.39 KB, patch)
2013-07-25 16:47 UTC, Dan Winship
no flags Details | Diff
updated patch (3.56 KB, patch)
2013-07-26 15:19 UTC, Dan Winship
no flags Details | Diff

Description Colin Walters 2013-06-26 00:05:48 UTC
Created attachment 765331 [details]
Add no-auto-default subpackage

Fedora is a large collection of packages, and at installation time
Anaconda offers one the ability to install specific subsets of those
packages.

Historically, many Red Hat Enterprise Linux customers desire not to do
DHCP by default on connected interfaces for server installations.

But on client machines, we do expect that behavior.  Because there is
no way to distinguish between the major cases of
client/server/server-with-desktop except via packages, this new
subpackage tells NetworkManager to not do DHCP by default.

The idea is we'll add this to comps for a new 'minimal-server' group.
---
 NetworkManager.spec  |   27 ++++++++++++++++++++++++++-
 no-auto-default.conf |    2 ++
 2 files changed, 28 insertions(+), 1 deletions(-)
 create mode 100644 no-auto-default.conf

Comment 1 Dan Williams 2013-07-22 19:46:45 UTC
10,000 bonus points if you can rework for the serverconf branch that just got merged upstream :)

Comment 2 Dan Winship 2013-07-25 16:47:12 UTC
Created attachment 778390 [details]
new patch

This installs the generated server.conf, and renames the subpackage to NetworkManager-server-conf.

I installed the file as 00-server.conf and marked it %config but not (noreplace), because people shouldn't be editing it, they should be overriding it with another local file, if that's what they want. Right?

Comment 3 Dan Williams 2013-07-25 20:55:24 UTC
Maybe name it NetworkManager-config-server ?  If we want other config packages in the future, I think it's nicer to name them config-XXX instead of XXX-config.

I think the lack of (noreplace) is correct, though if this is going to be the case, I think we should put some notes into the server config file that say at least:

1) why the file should not be touched, because it will be overwritten on updates
2) how to override the specific settings

Comment 4 Colin Walters 2013-07-25 21:37:26 UTC
I like the "-config-server" name better too.

As for the other concerns...we could make the file say "Don't modify me" upstream, but honestly I'm not sure it really matters that much whether or not it's (noreplace).

Comment 5 Dan Winship 2013-07-26 15:19:17 UTC
Created attachment 778797 [details]
updated patch

ok, this renames the package, and installs our own "custom" config file (including a "do not edit" message) rather than just copying in the one from the source tree.

Good?

Comment 6 Dan Williams 2013-07-26 16:50:08 UTC
Looks good to me.

Comment 7 Dan Winship 2013-07-26 20:33:27 UTC
ok, pushed to rawhide


Note You need to log in before you can comment on or make changes to this bug.